---
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-hhbservice
  labels:
    {{- include "hhbservice.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
    {{- if and .Values.global.metrics.enabled }}
    - port: 9000
      targetPort: metrics
      protocol: TCP
      name: metrics
    {{- end }}
  selector:
    {{- include "hhbservice.selectorLabels" . | nindent 4 }}
